SocketSynchChannelFactory (ActiveIO 1.0 API)
Keywords: org.activeio.net.SocketSynchChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.net
Class SocketSynchChannelFactory

    java.lang.Object
      org.activeio.net.SocketSynchChannelFactory

All Implemented Interfaces:
  SynchChannelFactory

Direct Known Subclasses:
  JxtaSocketSynchChannelFactory, SslSocketSynchChannelFactory

public class SocketSynchChannelFactory
extends java.lang.Object
implements SynchChannelFactory

A TcpSynchChannelFactory creates `org.activeio.net.TcpSynchChannel` and `org.activeio.net.TcpSynchChannelServer` objects.

Version:
  $Revision$

Field Summary
`protected static int` | `DEFAULT_BACKLOG`

Constructor Summary
`SocketSynchChannelFactory()`
`SocketSynchChannelFactory(javax.net.SocketFactory socketFactory, javax.net.ServerSocketFactory serverSocketFactory)`

Method Summary
`SynchChannelServer` | `bindSynchChannel(java.net.URI bindURI)` Binds a server socket a the 's port.
`protected SynchChannel` | `createSynchChannel(java.net.Socket socket)`
`int` | `getBacklog()`
`SynchChannel` | `openSynchChannel(java.net.URI location)` Uses the 's host and port to create a tcp connection to a remote host.
`void` | `setBacklog(int backlog)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BACKLOG

    protected static final int DEFAULT_BACKLOG

See Also:
  Constant Field Values

Constructor Detail

### SocketSynchChannelFactory

    public SocketSynchChannelFactory()

### SocketSynchChannelFactory

    public SocketSynchChannelFactory(javax.net.SocketFactory socketFactory,
                                     javax.net.ServerSocketFactory serverSocketFactory)

Method Detail

### openSynchChannel

    public SynchChannel openSynchChannel(java.net.URI location)
                                  throws java.io.IOException

  Uses the 's host and port to create a tcp connection to a remote host.

  Specified by:
    `openSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `location` -
  Returns:
  Throws:
    `java.io.IOException`
  See Also:
    `SynchChannelFactory.openSynchChannel(java.net.URI)`

### createSynchChannel

    protected SynchChannel createSynchChannel(java.net.Socket socket)
                                       throws java.io.IOException

  Parameters:
    `socket` -
  Returns:
  Throws:
    `java.io.IOException`

### bindSynchChannel

    public SynchChannelServer bindSynchChannel(java.net.URI bindURI)
                                        throws java.io.IOException

  Binds a server socket a the 's port.

  Specified by:
    `bindSynchChannel` in interface `SynchChannelFactory`
  Parameters:
    `bindURI` -
  Returns:
  Throws:
    `java.io.IOException`
  See Also:
    `SynchChannelFactory.bindSynchChannel(java.net.URI)`

### getBacklog

    public int getBacklog()

  Returns:
    Returns the backlog.

### setBacklog

    public void setBacklog(int backlog)

  Parameters:
    `backlog` - The backlog to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.